weixin_39585378
weixin_39585378
2020-11-28 19:33

Soot jars for JDK 8

Hi, Where could I obtain the Soot jars compatible with JDK 8? Using jars from release 2.5.0 gives the following exception: Exception in thread "main" java.lang.RuntimeException: Could not load classfile: java.io.ObjectInputStream at soot.coffi.Util.resolveFromClassFile(Util.java:75) at soot.CoffiClassSource.resolve(CoffiClassSource.java:39) at soot.SootResolver.bringToHierarchy(SootResolver.java:215) at soot.SootResolver.processResolveWorklist(SootResolver.java:155) at soot.SootResolver.resolveClass(SootResolver.java:124) at soot.Scene.tryLoadClass(Scene.java:417) at soot.Scene.loadBasicClasses(Scene.java:990) at soot.Scene.loadNecessaryClasses(Scene.java:1061) at soot.Main.run(Main.java:167) at soot.Main.main(Main.java:141)

Unable to obtain the nightly build either as the link over this page https://www.sable.mcgill.ca/soot/soot_download.html seems to be broken.

Thanks.

该提问来源于开源项目:soot-oss/soot

  • 点赞
  • 回答
  • 收藏
  • 复制链接分享

7条回答

为你推荐